package staffrepository

import authdomain "legalgo-BE-go/internal/domain/auth"

func (ur *StaffRepository) Create(spec *authdomain.Staff) (*authdomain.Staff, error) {
	if err := ur.DB.Create(&spec).Error; err != nil {
		return nil, err
	}

	return spec, nil
}
